Cantera 2.6.0

Classes | Namespaces | Variables
MolalityVPSSTP.h File Reference

Header for intermediate ThermoPhase object for phases which employ molality based activity coefficient formulations (see Thermodynamic Properties and class MolalityVPSSTP). More...

`#include "VPStandardStateTP.h"`
Include dependency graph for MolalityVPSSTP.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | MolalityVPSSTP

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Variables
const int | PHSCALE_PITZER = 0
| Scale to be used for the output of single-ion activity coefficients is that used by Pitzer. More...
const int | PHSCALE_NBS = 1
| Scale to be used for evaluation of single-ion activity coefficients is that used by the NBS standard for evaluation of the pH variable. More...

## Detailed Description

Header for intermediate ThermoPhase object for phases which employ molality based activity coefficient formulations (see Thermodynamic Properties and class MolalityVPSSTP).

Header file for a derived class of ThermoPhase that handles variable pressure standard state methods for calculating thermodynamic properties that are further based upon activities based on the molality scale. These include most of the methods for calculating liquid electrolyte thermodynamics.

Definition in file MolalityVPSSTP.h.